def skraceni_razlomak(n):
    # Inicijalno postavljamo brojilac na 1
    brojilac = 1
    
    # Tražimo imenilac koji ce zadovoljiti uslove
    imenilac = brojilac * n / brojilac 
    
    # Pronalazimo najveci zajednicki delilac (NZD) brojilaca i imenilaca rucno
    a = brojilac
    b = imenilac
    while b:
        a, b = b, a % b
    
    # Skracujemo razlomak
    brojilac //= a
    imenilac //= a
    
    return brojilac, imenilac

# Unos prirodnog broja n
n = int(input("Unesite prirodan broj n (>1): "))

# Pronalaženje skracenog razlomka
brojilac, imenilac = skraceni_razlomak(n)

# Ispis rezultata
print(f"Skraceni razlomak koji ispunjava uslove za n={n} je {brojilac}/{imenilac}.")