#include <iostream>

using namespace std;

int abs(int a) {
    return a < 0 ? -a : a;
}

int max(int a, int b) {
    return a > b ? a : b;
}

int min(int a, int b) {
    return a < b ? a : b;
}

int main() {
    int a, b, c, d;
    cin >> a >> b >> c >> d;

    int min1 = min(min(a, b), min(c, d));
    int max1 = max(max(a, b), max(c, d));

    int min2 = max1, max2 = min1; // inicijaliziramo zastavicu

    for (int num1 : {a, b, c, d}) {
        for (int num2 : {a, b, c, d}) {
            if (num1 != num2) {
                int curr_min = min(abs(num1 - num2), abs(max1 - num1));
                int curr_max = max(abs(num1 - num2), abs(min1 - num1));

                if (curr_min > abs(max2 - min2)) {
                    max2 = curr_max > curr_min ? curr_max : curr_min;
                    min2 = curr_max > curr_min ? curr_min : curr_max;
                } else if (curr_min == abs(max2 - min2)) {
                    min2 = min(min2, curr_min);
                    max2 = max(max2, curr_max);
                }
            }
        }
    }

    for (int num : {a, b, c, d}) {
        if (abs(num - min2) == abs(max2 - min2)) {
            cout << num << endl;
        }
    }

    return 0;
}