def generate_N_tuples(N, P):
    def is_valid(N_tuple):
        for i in range(0, N - 3):
            unique_values = len(set(N_tuple[i:i+4]))
            if unique_values < 3:
                return False
        return True
    def generate_N_tuples_recursive(current_tuple):
        if len(current_tuple) == N:
            if is_valid(current_tuple):
                return [current_tuple]
            return []
        result = []
        for value in [1, 2, 3, 4]:
            result += generate_N_tuples_recursive(current_tuple + [value])
        return result
    result = generate_N_tuples_recursive([])
    result = result[:P]
    for N_tuple in result:
        print("".join(map(str, N_tuple)))
if __name__ == "__main__":
    N = int(input())
    P = int(input())
    generate_N_tuples(N, P)