#include <iostream>
#include <vector>
using namespace std;

bool provera(const vector<int>& tuple) {
    vector<int> count(4, 0);
    for (int i = 0; i < tuple.size(); i++) {
        count[tuple[i] - 1]++;
        if (i >= 3) {
            int posebnapolja = 0;
            for (int j = 0; j < 4; j++) {
                if (count[j] > 0) {
                    posebnapolja++;
                }
            }
            if (posebnapolja < 3) {
                return false;
            }
        }
    }
    return true;
}

void sledecaTupla(vector<int>& tuple) {
    int i = tuple.size() - 1;
    while (i >= 0 && tuple[i] == 4) {
        i--;
    }
    if (i == -1) {
        tuple.clear();
        return;
    }
    tuple[i]++;
    for (int j = i + 1; j < tuple.size(); j++) {
        tuple[j] = 1;
    }
}

void generateTuples(int N, int P) {
    vector<int> trenutna(N, 1);
    int broj = 0;

    while (broj < P && !trenutna.empty()) {
        if (provera(trenutna)) {
            for (int i = 0; i < N; i++) {
                cout << trenutna[i];
            }
            cout << endl;
            broj++;
        }
        sledecaTupla(trenutna);
    }
}

int main() {
    int N, P;
    std::cin >> N >> P;
    generateTuples(N, P);
    return 0;
}