#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
int main() {
    int m, n;
    std::cin >> m;

    std::vector<int> houses(m);
    for (int i = 0; i < m; i++) {
        std::cin >> houses[i];
    }

    std::cin >> n;

    std::vector<int> transmitters(n);
    for (int i = 0; i < n; i++) {
        std::cin >> transmitters[i];
    }

    // ???????? ???????? ???? ? ??????????
    std::sort(houses.begin(), houses.end());
    std::sort(transmitters.begin(), transmitters.end());

    int min_power = 0;

    for (int i = 0; i < m; i++) {
        int house = houses[i];
        int min_dist = std::min(house - transmitters[0], transmitters[n - 1] - house);
        min_power = std::max(min_power, min_dist);
    }

    std::cout << min_power << std::endl;

    return 0;
}