#include <iostream>
#include <vector>

int main() {
    int m, n;
    std::cin >> m;
    std::vector<int> kuce(m);

    for (int i = 0; i < m; i++) {
        std::cin >> kuce[i];
    }

    std::cin >> n;
    std::vector<int> predajnici(n);

    for (int i = 0; i < n; i++) {
        std::cin >> predajnici[i];
    }

    int minimalnaSnaga = 0;

    for (int i = 0; i < m; i++) {
        int najbliziPredajnik = std::abs(kuce[i] - predajnici[0]);

        for (int j = 1; j < n; j++) {
            int razdaljina = std::abs(kuce[i] - predajnici[j]);
            najbliziPredajnik = std::min(najbliziPredajnik, razdaljina);
        }

        minimalnaSnaga = std::max(minimalnaSnaga, najbliziPredajnik);
    }

    std::cout << minimalnaSnaga << std::endl;

    return 0;
}