def check_coverage(houses, transmitters, power):
    index_house = 0  
    index_transmitter = 0  

    while index_house < len(houses):
        if houses[index_house] <= transmitters[index_transmitter] + power and houses[index_house] >= transmitters[index_transmitter] - power:
            index_house += 1  
        else:
            index_transmitter += 1  
            if index_transmitter == len(transmitters):  
                return False

    return True


m = int(input())
houses = list(map(int, input().split()))
n = int(input())
transmitters = list(map(int, input().split()))

houses.sort()
transmitters.sort()


low = 0
high = max(transmitters[-1], houses[-1]) - min(transmitters[0], houses[0])
result = 0

while low <= high:
    mid = (low + high) // 2
    if check_coverage(houses, transmitters, mid):
        result = mid
        high = mid - 1
    else:
        low = mid + 1


print(result)