#include <stdio.h>

void print_tuple(int n, int *tuple) {
    for (int i = 0; i < n; i++) {
        printf("%d", tuple[i]);
    }
    printf("\n");
}

int count_diff(int n, int *tuple) {
    int count = 1;
    for (int i = 1; i < n; i++) {
        if (tuple[i] != tuple[i - 1]) {
            count++;
        }
    }
    return count;
}

void generate_tuples(int n, int p, int *tuple, int index) {
    if (index == n) {
        if (count_diff(n, tuple) >= 3) {
            print_tuple(n, tuple);
        }
        return;
    }
    for (int i = 1; i <= 4; i++) {
        tuple[index] = i;
        generate_tuples(n, p, tuple, index + 1);
    }
}

int main() {
    int n, p;
    scanf("%d", &n);
    scanf("%d", &p);
    int tuple[n];
    generate_tuples(n, p, tuple, 0);
    return 0;
}