#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>

int main() {
    std::vector<int> numbers;
    for (int i = 0; i < 4; ++i) {
        int num;
        std::cin >> num;
        numbers.push_back(num);
    }

    std::vector<int> result_numbers;
    int max_distance = 0;

    for (int i = 0; i < 4; ++i) {
        int current_distance = 0;
        for (int j = 0; j < 4; ++j) {
            if (i != j) {
                current_distance += std::abs(numbers[i] - numbers[j]);
            }
        }

        if (current_distance > max_distance) {
            max_distance = current_distance;
            result_numbers.clear();
            result_numbers.push_back(numbers[i]);
        } else if (current_distance == max_distance) {
            result_numbers.push_back(numbers[i]);
        }
    }

    std::sort(result_numbers.begin(), result_numbers.end());

    for (int num : result_numbers) {
        std::cout << num << std::endl;
    }

    return 0;
}