def moze_pokriti_sve_kuce(kuce, predajnici, snaga):
    i = 0
    j = 0
    while i < len(kuce) and j < len(predajnici):
        kuca = kuce[i]
        predajnik = predajnici[j]
        if kuca <= predajnik + snaga:
            i += 1
        else:
            j += 1

    return i == len(kuce)
def pronadji_minimalnu_snagu_pokrivanja(kuce, predajnici):
    kuce.sort()
    predajnici.sort()
    donja_granica = 0
    gornja_granica = max(kuce[-1], predajnici[-1])
    minimalna_snaga = None
    while donja_granica <= gornja_granica:
        srednja_vrednost = (donja_granica + gornja_granica) // 2
        if moze_pokriti_sve_kuce(kuce, predajnici, srednja_vrednost):
            minimalna_snaga = srednja_vrednost
            gornja_granica = srednja_vrednost - 1
        else:
            donja_granica = srednja_vrednost + 1
    return minimalna_snaga
m = int(input())
kuce = list(map(int, input().split()))
n = int(input())
predajnici = list(map(int, input().split()))
rezultat = pronadji_minimalnu_snagu_pokrivanja(kuce, predajnici)
print(rezultat)