#include <bits/stdc++.h>
using namespace std;

int main() {
    int m;
    int n;
    cin >> m; /

    vector<int> houses(m);
    for (int i = 0; i < m; i++) {
        cin >> houses[i];
    }

    cin >> n; 

    vector<int> transmitters(n);
    for (int i = 0; i < n; i++) {
        cin >> transmitters[i];
    }

    sort(houses.begin(), houses.end());
    sort(transmitters.begin(), transmitters.end());

    int low = 0;
    int high = 2 * (max(houses.back(), transmitters.back()) - min(houses.front(), transmitters.front()));
    int result = -1;

    while (low <= high) {
        int mid = (low + high) / 2;
        int i = 0;
        int j = 0;
        bool possible = true;

        while (i < m && j < n) {
            if (abs(houses[i] - transmitters[j]) <= mid) {
                i++;
            } else {
                j++;
            }
        }

        if (i == m) {
            result = mid;
            high = mid - 1;
        } else {
            low = mid + 1;
        }
    }

    cout << result << endl;

    return 0;
}