import math

def skrati_razlomak(brojilac, imenilac):
    najveci_delitelj = math.gcd(brojilac, imenilac)
    return brojilac // najveci_delitelj, imenilac // najveci_delitelac

def trazi_razlomak(n):
    # Tražimo razlomak oblika x/y
    for x in range(1, n):
        # Imenilac ne može biti 0
        if x == 0:
            continue
        # Racunamo brojilac
        y = (n * x) / (x - n)
        # Ako je y prirodan broj i razlomak je skracen
        if y.is_integer():
            brojilac, imenilac = int(y), x
            skracen = skrati_razlomak(brojilac, imenilac)
            return f'{skracen[0]}/{skracen[1]}'

n = int(input())
rezultat = trazi_razlomak(n)
print(rezultat)