m = int(input())  
houses = list(map(int, input().split())) 
n = int(input())  
transmitters = list(map(int, input().split())) 

houses.sort()
transmitters.sort()

min_power = 0

for house in houses:
    closest_transmitter = float('inf')
    
    for transmitter in transmitters:
        distance = abs(house - transmitter)
        closest_transmitter = min(closest_transmitter, distance)
    
    min_power = max(min_power, closest_transmitter)

print(min_power)