def find_unique_letters(inputs):
    letter_count = {} 

    for input_str in inputs:
        for letter in input_str:
            if letter.isalpha():
                letter = letter.upper()  
                if letter in letter_count:
                    letter_count[letter] += 1
                else:
                    letter_count[letter] = 1

    unique_letters = [letter for letter, count in letter_count.items() if count == 1]
    return unique_letters

# Input
inputs = [input() for _ in range(3)]

# Find unique letters
unique_letters = find_unique_letters(inputs)

print(f"{unique_letters[0]}{unique_letters[1]}")