#include <iostream>
#include <vector>

using namespace std;

int main() {
    int m, n;
    cin >> m;
    vector<int> houses(m);

    for (int i = 0; i < m; i++) {
        cin >> houses[i];
    }

    cin >> n;
    vector<int> transmitters(n);

    for (int i = 0; i < n; i++) {
        cin >> transmitters[i];
    }

    int maxDistance = 0;

    for (int i = 0; i < m; i++) {
        int minDistance = 1e9;

        for (int j = 0; j < n; j++) {
            int distance = abs(houses[i] - transmitters[j]);
            minDistance = min(minDistance, distance);
        }

        maxDistance = max(maxDistance, minDistance);
    }

    cout << maxDistance << endl;

    return 0;
}