def mozePokritiSveKuce(kuce, predajnici, snaga):
    i = 0
    j = 0
    while i < len(kuce) and j < len(predajnici):
        pozicijaKuce = kuce[i]
        pozicijaPredajnika = predajnici[j]
        if abs(pozicijaKuce - pozicijaPredajnika) <= snaga:
            i += 1
        else:
            j += 1
    return i == len(kuce)

def minimalnaSnagaPokrivanja(kuce, predajnici):
    kuce.sort()
    predajnici.sort()
    donjaGranica = 0
    gornjaGranica = kuce[-1]

    while donjaGranica < gornjaGranica:
        srednjaVrednost = (donjaGranica + gornjaGranica) // 2
        if mozePokritiSveKuce(kuce, predajnici, srednjaVrednost):
            gornjaGranica = srednjaVrednost
        else:
            donjaGranica = srednjaVrednost + 1

    return donjaGranica

if __name__ == "__main__":
    m = int(input())
    kuce = list(map(int, input().split()))
    n = int(input())
    predajnici = list(map(int, input().split()))

    rezultat = minimalnaSnagaPokrivanja(kuce, predajnici)
    print(rezultat)