def find_fraction(n):
    numerator = n
    denominator = n - 1
    
    
    def gcd(a, b):
        while b != 0:
            a, b = b, a % b
        return a
    
    
    divisor = gcd(numerator, denominator)
    numerator //= divisor
    denominator //= divisor
    
    return numerator, denominator

n = int(input())
fraction = find_fraction(n)
print(f"The fraction is {fraction[0]}/{fraction[1]}")