n = int(input())
l1 = input().split()
m = int(input())
l2 = input().split()

houses = []
for i in range(n):
    houses.append(int(l1[i]))

routers = []
for i in range(m):
    routers.append(int(l2[i]))

houses.sort()
routers.sort()


def is_done(houses, routers, power):
    coverage = []
    for r in routers:
        coverage.append([r - power, r + power])

    for h in houses:
        ret = False
        for c in coverage:
            if h >= c[0] and h <= c[1]:
                ret = True
                break
        if ret == False:
            return False
    return True


# print(is_done(houses, routers, 2))


powers = []
for i in range(houses[-1] + 1):
    powers.append(i)

low = 0
high = powers[-1]
mid = (low + high) / 2

mid = int(mid)
explored = []
while True:
    if is_done(houses, routers, mid) == False:
        explored.append(mid)
        oldMid = mid
        low = mid
        mid = (low + high) / 2
        mid = int(mid)
        if oldMid == mid:
            mid += 1
    else:
        if mid in explored:
            print(int(mid))
            exit()
        explored.append(mid)
        oldMid = mid
        high = mid
        mid = (low + high) / 2
        mid = int(mid)
        if oldMid == mid:
            mid -= 1