#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
int main() {
    int m, n;
    cin >> m;
    vector<int> houses(m);
    for (int i = 0; i < m; i++) cin >> houses[i];
    cin >> n;
    vector<int> transmitters(n);
    for (int i = 0; i < n; i++) cin >> transmitters[i];
    sort(houses.begin(), houses.end());
    sort(transmitters.begin(), transmitters.end());
    int low = 0, high = 2 * (houses.back() - houses[0]);
    int result = -1;
    while (low <= high) {
        int mid = (low + high) / 2;
        int i = 0, j = 0;
        while (i < m && j < n) abs(houses[i] - transmitters[j]) <= mid ? i++ : j++;
        if (i == m) result = mid, high = mid - 1;
        else low = mid + 1;
    }
    cout << result << endl;
    return 0;
}