#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    int m, n;
    cin >> m;
    vector<int> kuca(m);

    for (int i = 0; i < m; i++) {
        cin >> kuca[i];
    }

    cin >> n;
    vector<int> predajnik(n);

    for (int i = 0; i < n; i++) {
        cin >> predajnik[i];
    }

    sort(kuca.begin(), kuca.end());
    sort(predajnik.begin(), predajnik.end());

    int minSnaga = 0;

    for (int i = 0; i < m; i++) {
        int levi = 0;
        int desni = n - 1;
        int najblizipredajnik = -1;

        while (levi <= desni) {
            int mid = (levi + desni) / 2;

            if (predajnik[mid] < kuca[i]) {
                najblizipredajnik = mid;
                levi = mid + 1;
            } else {
                desni = mid - 1;
            }
        }

        if (najblizipredajnik == -1) {
            minSnaga = max(minSnaga, predajnik[0] - kuca[i]);
        } else if (najblizipredajnik == n - 1) {
            minSnaga = max(minSnaga, kuca[i] - predajnik[n - 1]);
        } else {
            int udaljenotolevi = kuca[i] - predajnik[najblizipredajnik];
            int udaljenotodesni = predajnik[najblizipredajnik + 1] - kuca[i];
            minSnaga = max(minSnaga, min(udaljenotolevi, udaljenotodesni));
        }
    }

    cout << minSnaga << endl;

    return 0;
}