#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    int m, n;
    cin >> m;

    vector<int> kuce(m);
    for (int i = 0; i < m; ++i) {
        cin >> kuce[i];
    }

    cin >> n;

    vector<int> predajnici(n);
    for (int i = 0; i < n; ++i) {
        cin >> predajnici[i];
    }

    sort(kuce.begin(), kuce.end());
    sort(predajnici.begin(), predajnici.end());

    int max_signal = 0;

    for (int i = 0; i < m; ++i) {
        auto najblizi = lower_bound(predajnici.begin(), predajnici.end(), kuce[i]);

        if (najblizi == predajnici.end()) {
            najblizi = prev(najblizi);
        } else if (najblizi != predajnici.begin() && *najblizi != kuce[i]) {
            int dist1 = *najblizi - kuce[i];
            int dist2 = kuce[i] - *prev(najblizi);
            najblizi = (dist1 <= dist2) ? najblizi : prev(najblizi);
        }

        int signal = abs(kuce[i] - *najblizi);
        max_signal = max(max_signal, signal);
    }

    cout << max_signal << endl;

    return 0;
}