#include <iostream>
#include <vector>
#include <algorithm>

void generateNTuples(int N, int P) {
    std::vector<int> tuple(N, 1); // Inicijalizacija N-torke sa brojevima 1

    int BN = 0; // Broj N-torki koje ispunjavaju uslove

    do {
        int distinctCount = 0; // Broji razlicite vrednosti u svakom cetvorokratnom segmentu
        for (int i = 0; i < N; i += 4) {
            std::vector<int> segment(tuple.begin() + i, tuple.begin() + i + 4);
            std::sort(segment.begin(), segment.end());
            distinctCount += std::unique(segment.begin(), segment.end()) - segment.begin();
        }

        if (distinctCount >= 3) {
            ++BN;
            if (BN <= P) {
                for (int i = 0; i < N; ++i) {
                    std::cout << tuple[i];
                }
                std::cout << std::endl;
            }
        }
    } while (std::next_permutation(tuple.begin(), tuple.end()) && BN < P);
}

int main() {
    int N, P;
    std::cin >> N >> P;

    generateNTuples(N, P);

    return 0;
}