def najveci_zajednicki_delilac(a, b):
    while b:
        a, b = b, a % b
    return a

p = int(input())  # Unosimo vrednost p

# Odredujemo faktore broja p
factors = []
for i in range(1, int(p**0.5) + 1):
    if p % i == 0:
        factors.append(i)
        factors.append(p // i)

# Sortiramo faktore od najveceg prema najmanjem
factors.sort(reverse=True)

# Proveravamo svaki faktor da bismo pronašli maksimalan NZD
for factor in factors:
    if najveci_zajednicki_delilac(factor, p // factor) == 1:
        print(factor)
        break