s = "/"
def gcd(a,b):
    
    while b:
        a,b = b,a % b
    return a

def simplify_fraction(numerator,denominator):
    
    divisor = gcd(numerator,denominator)
    return numerator//divisor,denominator//divisor

def find_fraction(n):
    numerator=n
    denominator=n - 1


    num, den = simplify_fraction(numerator, denominator)
    
    
    while num != numerator or den != denominator:
        numerator=num
        denominator=den
        num,den=simplify_fraction(numerator,denominator)

    return num,den


n = int(input())
numerator, denominator = find_fraction(n)
print(str(numerator) + s + str(denominator))