#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    int m, n;
    cin >> m;
    vector<int> kuce(m);

    for (int i = 0; i < m; i++) {
        cin >> kuce[i];
    }

    cin >> n;
    vector<int> predajnici(n);

    for (int i = 0; i < n; i++) {
        cin >> predajnici[i];
    }

    sort(kuce.begin(), kuce.end());
    sort(predajnici.begin(), predajnici.end());

    int low = 0;
    int high = max(kuce.back(), predajnici.back());
    int result = -1;

    while (low <= high) {
        int mid = (low + high) / 2;
        int i = 0;
        int j = 0;

        while (i < m && j < n) {
            if (abs(kuce[i] - predajnici[j]) <= mid) {
                i++;
            } else {
                j++;
            }
        }

        if (i == m) {
            result = mid;
            high = mid - 1;
        } else {
            low = mid + 1;
        }
    }

    cout << result << endl;

    return 0;
}