#include <iostream>

using namespace std;

int gcd(int a, int b) {
    if (b == 0) {
        return a;
    }
    return gcd(b, a % b);
}

int main() {
    int n;
    cout << "Unesite prirodan broj n (n > 1): ";
    cin >> n;

    if (n <= 1) {
        cout << "Uneseni broj nije prirodan broj veci od 1." << endl;
    } else {
        int brojilac = n;
        int imenilac = n - 1;

        // Racunanje najveceg zajednickog delioca (NZD) brojilca i imenilca
        int nzd = gcd(brojilac, imenilac);

        // Skracivanje razlomka
        brojilac /= nzd;
        imenilac /= nzd;

        cout << "Razlomak koji zadovoljava uslov je: " << brojilac << "/" << imenilac << endl;
    }

    return 0;
}