def minimalna_snaga(hise, predajnici):
    hise.sort()  
    predajnici.sort()

    def moze_pokriti_sve_kuce(snaga):
        indeks_predajnika = 0

        for kuca in hise:
        
            while indeks_predajnika < len(predajnici) and predajnici[indeks_predajnika] <= kuca:
                indeks_predajnika += 1

            if (indeks_predajnika == 0 or kuca - predajnici[indeks_predajnika - 1] > snaga) and (indeks_predajnika == len(predajnici) or predajnici[indeks_predajnika] - kuca > snaga):
                return False

        return True

    donja_granica, gornja_granica = 0, hise[-1] - hise[0]
    rezultat = -1

    while donja_granica <= gornja_granica:
        sredina = (donja_granica + gornja_granica) // 2

        if moze_pokriti_sve_kuce(sredina):
            rezultat = sredina
            gornja_granica = sredina - 1
        else:
            donja_granica = sredina + 1

    return rezultat

m = int(input())
kuce = list(map(int, input().split()))

n = int(input())
predajnici = list(map(int, input().split()))

print(minimalna_snaga(kuce, predajnici))