def min_lasers_to_disable(x1, y1, x2, y2, n, vertical_lasers, m, horizontal_lasers):
    # Kreiranje setova koji ce sadržavati koordinate svih lasera
    vertical_set = set(vertical_lasers)
    horizontal_set = set(horizontal_lasers)

    # Inicijalno postavljamo broj iskljucenih lasera na 0
    disabled_lasers = 0

    # Proveravamo svaki vertikalni laser i ako je bliži od x1 do x2 i nece pogoditi Toshu i Mosha, povecavamo broj iskljucenih lasera
    for v in vertical_set:
        if v > x1 and v < x2:
            if (y1 <= min(horizontal_set) or y2 >= max(horizontal_set)):
                disabled_lasers += 1

    # Proveravamo svaki horizontalni laser i ako je bliži od y1 do y2 i nece pogoditi Toshu i Mosha, povecavamo broj iskljucenih lasera
    for h in horizontal_set:
        if h > y1 and h < y2:
            if (x1 <= min(vertical_set) or x2 >= max(vertical_set)):
                disabled_lasers += 1

    return disabled_lasers

# Ucitavanje ulaznih podataka
x1, y1 = map(int, input().split())
x2, y2 = map(int, input().split())
n = int(input())
vertical_lasers = list(map(int, input().split()))
m = int(input())
horizontal_lasers = list(map(int, input().split()))

# Pozivamo funkciju i ispisujemo rezultat
result = min_lasers_to_disable(x1, y1, x2, y2, n, vertical_lasers, m, horizontal_lasers)
print(result)