#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    // Ucitavanje ulaznih podataka
    int m, n;
    cout << "unesi broj kuca \n";cin >> m;
    vector<int> houses(m);
    cout << "unesi lokacije kuca \n";
    for (int i = 0; i < m; ++i) {
        cin >> houses[i];
    }
    cout << "unesi broj predajnika \n";cin >> n;
    vector<int> transmitters(n);
    cout << "unesi lokacije predajnika \n";
    for (int i = 0; i < n; ++i) {
        cin >> transmitters[i];
    }

    // Sortiranje kuca i predajnika
    sort(houses.begin(), houses.end());
    sort(transmitters.begin(), transmitters.end());

    // Pronalaženje minimalne snage potrebne za pokrivanje kuca
    int power = 0;
    int transmitter_idx = 0;
    for (int i = 0; i < m; ++i) {
        int house_pos = houses[i];
        while (transmitter_idx < n - 1 && transmitters[transmitter_idx + 1] < house_pos) {
            transmitter_idx++;
        }
        int distance1 = abs(transmitters[transmitter_idx] - house_pos);
        if (transmitter_idx < n - 1) {
            int distance2 = abs(transmitters[transmitter_idx + 1] - house_pos);
            power = max(power, min(distance1, distance2));
        } else {
            power = max(power, distance1);
        }
    }

    // Ispisivanje rezultata
    cout << "minimalna snaga da bi prekrila sve kuce je ";cout << power << endl;

    return 0;
}