import pygame as pg
def minimalna_snaga_pokrivanja(m, kuce, n, predajnici):
    kuce.sort()
    predajnici.sort()

    left, right = 0, max(kuce[-1], predajnici[-1])
    minimalna_snaga = right

    while left <= right:
        mid = (left + right) // 2
        signal = 2 * mid  

        i, j = 0, 0
        covered = 0

        while i < m and j < n:
            if kuce[i] >= predajnici[j] - mid and kuce[i] <= predajnici[j] + mid:
                i += 1
                covered += 1
            else:
                j += 1

        if covered == m:
            minimalna_snaga = min(minimalna_snaga, mid)
            right = mid - 1
        else:
            left = mid + 1

    return minimalna_snaga

m = int(input())
kuce = list(map(int, input().split()))
n = int(input())
predajnici = list(map(int, input().split()))

rezultat = minimalna_snaga_pokrivanja(m, kuce, n, predajnici)
print(rezultat)