cpp
#include 

// Funkcija za pronalaženje najveceg zajednickog delioca
int gcd(int a, int b) {
    if (b == 0)
        return a;
    return gcd(b, a % b);
}

int main() {
    int n;
    std::cout << "Unesite prirodan broj n: ";
    std::cin >> n;

    for (int brojilac = 1; brojilac < n; brojilac++) {
        for (int imenilac = 1; imenilac < n; imenilac++) {
            // Provera da li su brojilac i imenilac uzajamno prosti
            if (gcd(brojilac, imenilac) == 1) {
                int rezultat = (brojilac / imenilac) + n * (brojilac / imenilac);

                // Provera da li je rezultat jednak n
                if (rezultat == n) {
                    std::cout << "Razlomak: " << brojilac << "/" << imenilac << std::endl;
                    return 0;
                }
            }
        }
    }

    std::cout << "Nije pronaden odgovarajuci razlomak." << std::endl;
    return 0;
}