#include <stdio.h>

void print_tuple(int n, int *tuple) {
    for (int i = 0; i < n; i++) {
        printf("%d", tuple[i]);
    }
    printf("\n");
}

int count_diff(int n, int *tuple) {
    int count = 1;
    for (int i = 1; i < n; i++) {
        if (tuple[i] != tuple[i - 1]) {
            count++;
        }
    }
    return count;
}

void generate_tuples(int n, int p) {
    int tuple[n];
    for (int i = 0; i < n; i++) {
        tuple[i] = 1;
    }
    int count = 1;
    while (count <= p) {
        if (count_diff(n, tuple) >= 3) {
            print_tuple(n, tuple);
            count++;
        }
        int pos = n - 1;
        while (pos >= 0 && tuple[pos] == 4) {
            pos--;
        }
        if (pos < 0) {
            break;
        }
        tuple[pos]++;
        for (int i = pos + 1; i < n; i++) {
            tuple[i] = 1;
        }
    }
}

int main() {
    int n, p;
    scanf("%d", &n);
    scanf("%d", &p);
    generate_tuples(n, p);
    return 0;
}