def generate_tuples(n, p):
    digits = [1, 1, 1, 1]
    tuples = set()
    tuples.add(tuple(digits[:n]))

    while len(tuples) < p:
        for i in range(n - 1, 0, -1):
            if digits[i] < 4:
                digits[i] += 1
                for j in range(i + 1, n):
                    digits[j] = 1
                tuples.add(tuple(digits[:n]))
                break

    for tpl in sorted(tuples):
        print(''.join(map(str, tpl)))

n = int(input())
p = int(input())
generate_tuples(n, p)