x1, y1 = map(int, input().split())
x2, y2 = map(int, input().split())
n = int(input())
vertical_lasers = list(map(int, input().split()))
m = int(input())
horizontal_lasers = list(map(int, input().split()))

def count_disabled_lasers(x1, y1, x2, y2, vertical_lasers, horizontal_lasers):
    if x1 == x2 or y1 == y2:
        return 0
    if x1 in vertical_lasers or y1 in horizontal_lasers:
        return 1
    vertical_intersections = sum(1 for laser in vertical_lasers if min(x1, x2) < laser < max(x1, x2))
    horizontal_intersections = sum(1 for laser in horizontal_lasers if min(y1, y2) < laser < max(y1, y2))
    return vertical_intersections + horizontal_intersections

result = count_disabled_lasers(x1, y1, x2, y2, vertical_lasers, horizontal_lasers)
print(result)