def moze_pokriti(k, t, p):
    i = 0
    j = 0
    n = len(k)
    m = len(t)

    while i < n and j < m:
        l = k[i] - p
        r = k[i] + p

        if l > t[j]:
            j += 1
        elif r < t[j]:
            return False
        else:
            i += 1

    return i == n

def min_snaga_za_pokriti(k, t):
    k.sort()
    t.sort()
    l = 0
    h = max(k) - min(k)

    while l < h:
        mid = (l + h) // 2
        if moze_pokriti(k, t, mid):
            h = mid
        else:
            l = mid + 1

    return l

m = int(input())
k = list(map(int, input().split()))
n = int(input())
t = list(map(int, input().split()))

rezultat = min_snaga_za_pokriti(k, t)
print(rezultat)