def generate_tuples(N, unique_count, current_tuple, output_list):
  if N == 0:
      output_list.append(current_tuple[:])
  else:
      for num in [1, 2, 3, 4]:
          if len(current_tuple) < 3 or num not in current_tuple[-3:]:
              current_tuple.append(num)
              unique_count[num] += 1
              generate_tuples(N - 1, unique_count, current_tuple, output_list)
              unique_count[num] -= 1
              current_tuple.pop()

def main():
  N = int(input())
  P = int(input())
  output_list = []
  unique_count = {1: 0, 2: 0, 3: 0, 4: 0}
  generate_tuples(N, unique_count, [], output_list)

  for i in range(min(len(output_list), P)):
      print("".join(map(str, output_list[i])))

if __name__ == "__main__":
  main()