p = int(input())

# Pomocna funkcija za pronalaženje NZD
def najveci_zajednicki_delilac(a, b):
    while b:
        a, b = b, a % b
    return a

# Pronalaženje delilaca broja p
delioci = []
for i in range(1, int(p**0.5) + 1):
    if p % i == 0:
        delioci.append(i)
        if i != p // i:
            delioci.append(p // i)

# Sortiranje delilaca u opadajucem redosledu
delioci.sort(reverse=True)

# Pronalaženje NZD koristeci sortirane delioce
for nzd in delioci:
    if p % (nzd * nzd) == 0:
        print(nzd)
        break