#include <iostream>
#include <algorithm>

int gcd(int a, int b) {
    if (b == 0)
        return a;
    return gcd(b, a % b);
}

int lcm(int a, int b) {
    return (a * b) / gcd(a, b);
}

int calculate_largest_gcd_value(int a, int b) {
    int current_gcd = gcd(a, b);
    for (int i = current_gcd; i <= a && i <= b; i = lcm(i, a)) {
        if (i == current_gcd) {
            
            return i;
        }
    }
    
    return -1;
}

int main() {
    int a, b;
    std::cout << "Unesi prvi broj ";
    std::cin >> a;
    std::cout << "Unesi drugi broj ";
    std::cin >> b;
    int largest_gcd_value = calculate_largest_gcd_value(a, b);
    return 0;
}