def min_lasers_to_disable(x1, I1, x2, I2, vertical_lasers, horizontal_lasers):
    dx = abs(x2 - x1)
    dI = abs(I2 - I1)

    vertical_lasers.sort()
    horizontal_lasers.sort()

    lasers_disabled = 0

    if dx < dI:

        for h in horizontal_lasers:
            if I1 >= min(I2, I1) and I1 <= max(I2, I1):

                lasers_disabled += 1
            elif (I1 - min(I2, I1)) * (I1 - max(I2, I1)) < 0:

                lasers_disabled += 1

    else:

        for v in vertical_lasers:
            if x1 >= min(x1, x2) and x1 <= max(x1, x2):

                lasers_disabled += 1
            elif (x1 - min(x1, x2)) * (x1 - max(x1, x2)) < 0:

                lasers_disabled += 1

    return lasers_disabled


x1, I1 = map(int, input().split())
x2, I2 = map(int, input().split())
n = int(input())
vertical_lasers = list(map(int, input().split()))
m = int(input())
horizontal_lasers = list(map(int, input().split()))

result = min_lasers_to_disable(x1, I1, x2, I2, vertical_lasers, horizontal_lasers)
print(result)