from itertools import product

def generate_tuples(N):
    numbers = [1, 2, 3, 4]
    valid_tuples = []

    # Generate all possible N-tuples using product
    for t in product(numbers, repeat=N):
        valid = True
        for i in range(N - 3):
            subset = t[i:i+4]
            if len(set(subset)) < 3:
                valid = False
                break
        if valid:
            valid_tuples.append(t)

    return valid_tuples

# Input
N = int(input())
P = int(input())

tuples = generate_tuples(N)

for i in range(min(P, len(tuples))):
    print("".join(map(str, tuples[i])))