def minimalna_snaga_kuca(m, kuca, n, predajnik):
    levo = 0
    desno = 10**6

    while levo < desno:
        srednji = (levo + desno) // 2
        pokrivene_kuce = 0
        trenutni_predajnik = 0

        for i in range(m):
            if kuca[i] > predajnik[trenutni_predajnik] + srednji:
                trenutni_predajnik += 1

            if trenutni_predajnik == n:
                break

            pokrivene_kuce += 1

        if pokrivene_kuce == m:
            desno = srednji
        else:
            levo = srednji + 1

    return levo

m = int(input())  # Broj kuca
kuca = sorted(map(int, input().split())  # Lokacije kuca
n = int(input())  # Broj predajnika
predajnik = sorted(map(int, input().split())  # Lokacije predajnika

rezultat = minimalna_snaga_kuca(m, kuca, n, predajnik)
print(rezultat)