#include <iostream>
#include <vector>
using namespace std;
bool isValidSequence(const vector<int>& sequence, int N) {
    for (int i = 0; i <= N - 4; i++) {
        vector<int> counts(5, 0);
        for (int j = i; j < i + 4; j++) {
            counts[sequence[j]]++;
        }
        int distinct = 0;
        for (int k = 1; k <= 4; k++) {
            if (counts[k] > 0) distinct++;
        }
        if (distinct < 3) {
            return false;
        }
    }
    return true;
}
void generateSequences(int N, int P) {
    vector<int> sequence(N, 1);
    int count = 0;
    while (count < P) {
        if (isValidSequence(sequence, N)) {
            for (int i = 0; i < N; i++) {
                cout << sequence[i];
            }
            cout << endl;
            count++;
        }
        int i = N - 1;
        while (i >= 0 && sequence[i] == 4) {
            sequence[i] = 1;
            i--;
        }
        if (i < 0) {
            break;
        }
        sequence[i]++;
    }
}
int main() {
    int N, P;
    cin >> N >> P;
    generateSequences(N, P);
    return 0;
}