#include <iostream>
#include <vector>
#include <algorithm>
#include <set>
using namespace std;
int main() {
    long long x1, y1, x2, y2;
    cin >> x1 >> y1 >> x2 >> y2;
    int n;
    cin >> n;
    set<long long> vertical;
    for (int i = 0; i < n; i++) {
        long long vi;
        cin >> vi;
        vertical.insert(vi);
    }
    int m;
    cin >> m;
    set<long long> horizontal;
    for (int i = 0; i < m; i++) {
        long long hi;
        cin >> hi;
        horizontal.insert(hi);
    }
    int result = 0;
    if (x1 > x2) swap(x1, x2);
    if (y1 > y2) swap(y1, y2);
    for (auto vi : vertical) {
        if (vi > x1 && vi < x2) {
            auto lower_h = horizontal.lower_bound(y1);
            auto upper_h = horizontal.upper_bound(y2);
            if (lower_h != upper_h) {
                result++;
            }
        }
    }
    for (auto hi : horizontal) {
        if (hi > y1 && hi < y2) {
            auto lower_v = vertical.lower_bound(x1);
            auto upper_v = vertical.upper_bound(x2);
            if (lower_v != upper_v) {
                result++;
            }
        }
    }
    if (x1 == x2 || y1 == y2) {
        result = 0;
    }
    cout << result << endl;
    return 0;
}