#include <iostream>
#include <vector>
using namespace std;

bool hasConsecutiveSameDigits(const vector<int>& tuple) {
    for (int i = 0; i <= tuple.size() - 4; ++i) {
        vector<int> seen(5, 0);
        for (int j = i; j < i + 4; ++j) {
            seen[tuple[j]] = 1;
        }
        int count = 0;
        for (int k = 1; k <= 4; ++k) {
            count += seen[k];
        }
        if (count < 3) {
            return true;
        }
    }
    return false;
}

bool isValid(const vector<int>& tuple) {
    for (int i = 0; i <= tuple.size() - 3; ++i) {
        if (tuple[i] == tuple[i + 1] && tuple[i + 1] == tuple[i + 2]) {
            return false;
        }
    }
    return !hasConsecutiveSameDigits(tuple);
}

void generateTuples(int N, int P) {
    vector<int> tuple(N, 1); 
    int count = 0; 

    while (count < P) {

        if (isValid(tuple)) {
            for (int i = 0; i < N; ++i) {
                cout << tuple[i];
            }
            cout << endl;
            count++;
        }

        int pos = N - 1;
        while (pos >= 0 && tuple[pos] == 4) {
            tuple[pos] = 1;
            pos--;
        }
        if (pos >= 0) {
            tuple[pos]++;
        } else {
            break;
        }
    }
}

int main() {
    int N, P;
    cin >> N >> P;

    generateTuples(N, P);

    return 0;
}