#include <iostream>
#include <vector>
#include <cmath>

int main() {
    int x1, y1, x2, y2;
    std::cin >> x1 >> y1 >> x2 >> y2;

    int n;
    std::cin >> n;
    std::vector<int> vertical_lasers(n);
    for (int i = 0; i < n; ++i) {
        std::cin >> vertical_lasers[i];
    }

    int m;
    std::cin >> m;
    std::vector<int> horizontal_lasers(m);
    for (int i = 0; i < m; ++i) {
        std::cin >> horizontal_lasers[i];
    }

    // Provjera koliko lasera moraju iskljuciti
    int lasers_to_disable = 0;
    for (int i = 0; i < n; ++i) {
        if ((x1 > x2 && vertical_lasers[i] > x2) || (x1 < x2 && vertical_lasers[i] < x2)) {
            lasers_to_disable++;
        }
    }

    for (int i = 0; i < m; ++i) {
        if ((y1 > y2 && horizontal_lasers[i] > y2) || (y1 < y2 && horizontal_lasers[i] < y2)) {
            lasers_to_disable++;
        }
    }

    std::cout << lasers_to_disable << std::endl;

    return 0;
}