def minimalna_snaga_pokrivanja(m, kuce, n, predajnici):
    kuce.sort()
    predajnici.sort()
    
    minimalna_snaga = 0
    i = 0
    
    while i < m:
        trenutna_kuca = kuce[i]
        
        # Postavi predajnik što dalje unapred, ali unutar opsega
        while i < m and kuce[i] <= trenutna_kuca + predajnici[-1]:
            i += 1
        
        # Postavi predajnik na poslednju kucu u opsegu
        minimalna_snaga += 1
        i -= 1
        trenutna_kuca = kuce[i]
        
        # Postavi predajnik što dalje unazad, ali unutar opsega
        while i < m and kuce[i] <= trenutna_kuca + predajnici[-1]:
            i += 1
    
    return minimalna_snaga

if __name__ == "__main__":
    m = int(input())
    kuce = list(map(int, input().split()))
    n = int(input())
    predajnici = list(map(int, input().split()))
    
    minimalna_snaga = minimalna_snaga_pokrivanja(m, kuce, n, predajnici)
    print(minimalna_snaga)