def calculate_distance(num1, num2):
    return abs(num1 - num2)

def find_max_distance(numbers):
    max_distance = -1
    max_distance_nums = []
    
    for i in range(len(numbers)):
        closest_distance = float('inf')
        closest_nums = []
        
        for j in range(len(numbers)):
            if i != j:
                distance = calculate_distance(numbers[i], numbers[j])
                
                if distance < closest_distance:
                    closest_distance = distance
                    closest_nums = [numbers[j]]
                elif distance == closest_distance:
                    closest_nums.append(numbers[j])
        
        if closest_distance > max_distance:
            max_distance = closest_distance
            max_distance_nums = [numbers[i]]
        elif closest_distance == max_distance:
            max_distance_nums.append(numbers[i])
    
    max_distance_nums.sort()
    return max_distance_nums

input_nums = []
for i in range(4):
    num = int(input())
    input_nums.append(num)

result = find_max_distance(input_nums)

for num in result:
    print(num)