# Function to find the greatest common divisor
def gcd(a, b):
    while b:
        a, b = b, a % b
    return a

# Function to simplify the fraction
def simplify_fraction(numerator, denominator):
    common_divisor = gcd(numerator, denominator)
    return numerator // common_divisor, denominator // common_divisor

# Function to find the fraction that satisfies the condition
def find_fraction(n):
    numerator = n * (n - 1)
    denominator = 2 * (n - 1)
    return simplify_fraction(numerator, denominator)

# Test the function
n = int(input())
fraction = find_fraction(n)
print(fraction[0], "/", fraction[1])