#include <iostream>

using namespace std;

// Funkcija za izracunavanje NZD korišcenjem Euklidovog algoritma
long long najveci_zajednicki_delilac(long long a, long long b) {
    while (b != 0) {
        long long tmp = b;
        b = a % b;
        a = tmp;
    }
    return a;
}

int main() {
    long long p;
    cin >> p;

    long long a = 1;
    long long b = p;

    for (long long i = 2; i * i <= p; i++) {
        if (p % i == 0) {
            a = i;
            b = p / i;
            break;
        }
    }

    long long nzd = najveci_zajednicki_delilac(a, b);

    cout << nzd << endl;

    return 0;
}