def minimalna_snaga(kuce, predajnici):
    kuce.sort()
    predajnici.sort()
    
    n = len(kuce)
    m = len(predajnici)
    
    left, right = 0, max(kuce) - min(kuce)
    result = right
    
    while left <= right:
        d = (left + right) // 2
        i, j = 0, 0
        
        while i < n and j < m:
            if kuce[i] >= predajnici[j]:
                dist = kuce[i] - predajnici[j]
                if dist <= d:
                    i += 1
                else:
                    j += 1
            else:
                dist = predajnici[j] - kuce[i]
                if dist <= d:
                    i += 1
                else:
                    j += 1
        
        if i == n:
            result = d
            right = d - 1
        else:
            left = d + 1
    
    return result

# Primer
kuce = [1, 2, 3, 4]
predajnici = [1, 5]

minimalna_s = minimalna_snaga(kuce, predajnici)
print(f)