from fractions import Fraction

def nadji_razlomak(n):
    for brojilac in range(1, n):
        imenilac = n * brojilac / (brojilac - n)
        razlomak = Fraction(brojilac, imenilac)
        
        if razlomak.numerator + n == n * razlomak.denominator:
            return razlomak

n = 5  
razlomak = nadji_razlomak(n)
print(f"Razlomak za n = {n} je {razlomak.numerator}/{razlomak.denominator}")