#include <iostream>
#include <vector>

// ovo je najblize sto sam mogao da uradim.

bool isValidTuple(const std::string& tuple, int N) {
    for (int i = 0; i <= tuple.size() - N; ++i) {
        std::string subtuple = tuple.substr(i, N);
        int uniqueCount = 0;
        for (int j = 0; j < subtuple.size(); ++j) {
            if (subtuple[j] != subtuple[0]) {
                uniqueCount++;
            }
        }
        if (uniqueCount < 3) {
            return false;
        }
    }
    return true;
}

void generateTuples(std::string tuple, int N, int P, std::vector<std::string>& result, int& count) {
    if (tuple.size() == N) {
        if (isValidTuple(tuple, N)) {
            count++;
            if (count <= P) {
                result.push_back(tuple);
            }
        }
        return;
    }
    for (char digit = (tuple.empty() ? '1' : '1'); digit <= '4'; ++digit) {
        generateTuples(tuple + digit, N, P, result, count);
    }
}

int main() {
    int N, P;
    std::cout << "Upisi broj N i P\n";std::cin >> N >> P;

    std::vector<std::string> result;
    int count = 0;
    generateTuples("", N, P, result, count);

    for (const auto& tuple : result) {
        std::cout << tuple << std::endl;
    }

    return 0;
}