#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int minLaserToDisable(int x1, int y1, int x2, int y2, int n, vector<int>& vertical_lasers, int m, vector<int>& horizontal_lasers) {
    int count = 0;
    sort(vertical_lasers.begin(), vertical_lasers.end());
    sort(horizontal_lasers.begin(), horizontal_lasers.end());

    for (int i = 0; i < n; ++i) {
        if ((vertical_lasers[i] < x1 && vertical_lasers[i] < x2) || (vertical_lasers[i] > x1 && vertical_lasers[i] > x2)) {
            continue;
        }
        for (int j = 0; j < m; ++j) {
            if ((horizontal_lasers[j] < y1 && horizontal_lasers[j] < y2) || (horizontal_lasers[j] > y1 && horizontal_lasers[j] > y2)) {
                continue;
            }
            if ((x1 < vertical_lasers[i] && vertical_lasers[i] < x2) && (y1 < horizontal_lasers[j] && horizontal_lasers[j] < y2)) {
                continue;
            }
            ++count;
        }
    }

    return count;
}

int main() {
    int x1, y1, x2, y2, n, m;
    cout<<"unesi kordinate\n"; cin >> x1 >> y1 >> x2 >> y2;
    
    cout<<"unesi broj vertikalnih lasera\n";cin>>n;

    vector<int> vertical_lasers(n);
    cout<<"unesi kordinate za vertikalne lasere\n";
    for (int i = 0; i < n; ++i) {
        cin >> vertical_lasers[i];
    }
    
    
    cout<<"unesi broj horizontalnih lasera\n";cin >> m;
    vector<int> horizontal_lasers(m);
    cout<<"unesi kordinate za horizontalne lasere\n";
    for (int i = 0; i < m; ++i) {
        cin >> horizontal_lasers[i];
    }
    int result = minLaserToDisable(x1, y1, x2, y2, n, vertical_lasers, m, horizontal_lasers);
    ++result;
    cout << "tosa i mosa moraju da iskljuce " << result << " lasera!" << endl;

    return 0;
}