def minimum_snaga(kuce, predajnici):
    kuce.sort()
    predajnici.sort()

    min_snaga = 0

    left = 0
    right = max(max(kuce), max(predajnici)) + 1

    while left <= right:
        mid = (left + right) // 2


        if moguce_pokriti(kuce, predajnici, mid):
            min_snaga = mid
            right = mid - 1
        else:
            left = mid + 1

    return min_snaga


def moguce_pokriti(kuce, predajnici, snaga):
    i = 0
    j = 0

    while i < len(kuce) and j < len(predajnici):

        if abs(kuce[i] - predajnici[j]) <= snaga:
            i += 1
        else:
            j += 1


    return i == len(kuce)



m = int(input())
kuce = list(map(int, input().split()))


n = int(input())
predajnici = list(map(int, input().split()))

min_snaga = minimum_snaga(kuce, predajnici)


print(min_snaga)